"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const filterProps = require("../../../../utils/filter-props/filter-props.cjs");
require("react");
require("react/jsx-runtime");
function mergeVars(vars) {
  return vars.reduce((acc, current) => {
    if (current) {
      Object.keys(current).forEach((key) => {
        acc[key] = { ...acc[key], ...filterProps.filterProps(current[key]) };
      });
    }
    return acc;
  }, {});
}
exports.mergeVars = mergeVars;
